Announcement

Collapse
No announcement yet.

Problem installing on Raspberry Pi 3 b+

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

  • Problem installing on Raspberry Pi 3 b+

    Trying to install software for Pi 3 b+ and am getting error message gpg: keyserver receive failed: Server indicated a failure

    Does anyone have any suggestions please? Full messages below: Sorry but I couldn't post this originally, as I got a message about not posting links, so all URLs I have replaced with the text "URL"

    pi@raspberrypi:~ $ sudo bash -c "$(wget -O - URL/install_fr24_rpi.sh)"
    --2018-05-12 15:02:45-- URL/install_fr24_rpi.sh
    Resolving URL (URL)... 52.216.85.157
    Connecting to URL (URL)|52.216.85.157|:80... connected.
    HTTP request sent, awaiting response... 200 OK
    Length: 1301 (1.3K) [application/x-sh]
    Saving to: ‘STDOUT’

    - 100%[===================>] 1.27K --.-KB/s in 0s

    2018-05-12 15:02:45 (6.10 MB/s) - written to stdout [1301/1301]

    Hit:1 URL stretch InRelease
    Hit:2 URL stretch InRelease
    Reading package lists... Done
    Reading package lists... Done
    Building dependency tree
    Reading state information... Done
    dirmngr is already the newest version (2.1.18-8~deb9u1).
    0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
    gpg: keyserver receive failed: Server indicated a failure

  • #2
    https://forum.flightradar24.com/showthread.php?t=8908

    Code:

    $ gpg --keyserver pool.sks-keyservers.net --recv-keys 40C430F5 $ gpg --armor --export 40C430F5 | sudo apt-key add - $ sudo nano /etc/apt/sources.list
    Sent from my XT1092 using Tapatalk
    Posts not to be taken as official support representation - Just a helpful uploader who tinkers

    Comment


    • #3
      Thanks. However that gives me:

      gpg --keyserver pool.sks-keyservers.net --recv-keys 40C430F5
      gpg: keyserver receive failed: No keyserver available

      Comment


      • #4
        Sudo infront?

        I can't recall if they had it in right. Also make sure you have
        sudo apt-get update
        sudo apt-get upgrade
        Posts not to be taken as official support representation - Just a helpful uploader who tinkers

        Comment


        • #5
          Try this:
          sudo apt-get update
          sudo apt-get install apt-utils
          sudo apt-get install apt-transport-https
          sudo bash -c "$(wget -O - http://repo.feed.flightradar24.com/install_fr24_rpi.sh)"

          Comment


          • #6
            If it still doesn't work for you after abcd567 and Oblivian's suggestions, you could download and install the .deb package

            sudo wget https://repo-feed.flightradar24.com/...9-15_armhf.deb
            sudo dpkg -i fr24feed_1.0.19-15_armhf.deb
            --

            Comment


            • #7
              Originally posted by Khan View Post
              If it still doesn't work ......you could download and install the .deb package

              sudo wget https://repo-feed.flightradar24.com/...9-15_armhf.deb
              sudo dpkg -i fr24feed_1.0.19-15_armhf.deb
              This is the best and easiest solution for gpg key problem.
              Thanks a lot Khan.

              Comment


              • #8
                Originally posted by abcd567 View Post
                This is the best and easiest solution for gpg key problem.
                Thanks a lot Khan.
                Hi
                The problem is, as far as I know, the package do not installs a graphic version of the SO.
                If I'm wrong please correct me.
                Regards

                cmg
                Last edited by cmgam; 2018-05-18, 15:14.

                Comment


                • #9
                  @cmgam
                  What do you mean by "graphic version of the SO"?

                  Comment


                  • #10
                    Originally posted by abcd567 View Post
                    @cmgam
                    What do you mean by "graphic version of the SO"?
                    Hi
                    I'm not familiar with linux SO do forgive me any misunderstanding. By "no graphic version" I mean only GUI without display manager.
                    At least when I tried to install the package, I could not install the display manager.
                    Regards

                    cmg

                    Comment


                    • #11
                      The GUI is part of Operating System, not the fr24feeder.

                      If you want GUI, you have to go to Raspbian download page (https://www.raspberrypi.org/downloads/raspbian/) and download "Raspbian Stretch With Desktop" (https://downloads.raspberrypi.org/raspbian_latest) and write it to your microSD using "win32 disk imager" or "etcher".

                      Once you have written "Raspbian Stretch With Desktop" to your microSD card, slip it into Pi, and power up, then install the fr24feed package by method given by Khan.
                      Last edited by abcd567; 2018-05-18, 21:23.

                      Comment


                      • #12
                        Originally posted by abcd567 View Post
                        The GUI is part of Operating System, not the fr24feeder.

                        If you want GUI, you have to go to Raspbian download page (https://www.raspberrypi.org/downloads/raspbian/) and download "Raspbian Stretch With Desktop" (https://downloads.raspberrypi.org/raspbian_latest) and write it to your microSD using "win32 disk imager" or "etcher".

                        Once you have written "Raspbian Stretch With Desktop" to your microSD card, slip it into Pi, and power up, then install the fr24feed package by method given by Khan.
                        Hi
                        The problem was mine because I confused the above package with another that has the OS and what is needed to run the fr24feeder.
                        Thanks
                        Regards

                        cmg

                        Comment


                        • #13
                          @cmgam

                          Thanks for clarifying.

                          Now I understand that you were refering to Pi24 image. This image is "Raspbian Stretch LITE" OS with dump1090-mutability and fr24feed pre-installed.

                          As the Pi24 image's OS is "Raspbian Stretch LITE" which is headless (no GUI), Pi24 is also headless.

                          Comment


                          • #14
                            And how to start fr24feed automatically when raspberry boots?
                            Do I need to run any script or command?
                            Thanks in advance
                            Regards

                            cmg

                            Comment


                            • #15
                              @cmgam
                              The fr24feed auto-starts at boot. You dont have to do any thing.

                              Comment

                              Working...
                              X